// --- [ rs232.h ] ------------------------------------------------------------
//       30.06.2013		tab = 3
//       zu pc_2_twi.c
// ----------------------------------------------------------------------------

void put_c(uint8_t);
void put_ok(void);
void put_err(uint8_t);
void put_msg(void);
void rs232_init(void);

#define BAUD  	9600UL
#define TEILER ((F_CPU /(BAUD * 16UL)) -1)

// Register UCSR0B konfigurieren
#define TX_ENABLE 	(1<<RXCIE0 | 1<<TXCIE0 | 0<<UDRIE0 | 1<<RXEN0 | 1<<TXEN0)
#define TX_DISABLE	(1<<RXCIE0 | 0<<TXCIE0 | 0<<UDRIE0 | 1<<RXEN0 | 1<<TXEN0)
#define USART_BUSY   (UCSR0B == TX_ENABLE)

// --- [ eof ] ----------------------------------------------------------------
